# The Red Matrix: mod/update_search.php File Reference

All Classes Namespaces Files Functions Variables Pages
update_search.php File Reference

## Functions

| update_search_content (&$a)

## Function Documentation

update_search_content | ( | & | $a | ) |

Module: update_profile Purpose: AJAX synchronisation of search page

We can remove this hack once Internet Explorer recognises HTML5 natively

Grab the page inner contents by calling the content function from the profile module directly, but move any image src attributes to another attribute name. This is because some browsers will prefetch all the images for the page even if we don't need them. The only ones we need to fetch are those for new page additions, which we'll discover on the client side and then swap the image back.

reportedly some versions of MSIE don't handle tabs in XMLHttpRequest documents very well